mxGeneratorRandomIntFunction (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.generatorfunction
Class mxGeneratorRandomIntFunction

    java.lang.Object
      com.mxgraph.generatorfunction.mxGeneratorFunction
          com.mxgraph.generatorfunction.mxGeneratorRandomIntFunction

All Implemented Interfaces:
  mxICostFunction

    public class mxGeneratorRandomIntFunction

extends mxGeneratorFunction

Constructor Summary
`mxGeneratorRandomIntFunction(double minWeight, double maxWeight)`

Method Summary
`double` | `getCost(mxCellState state)` Evaluates the cost of the given cell state.
`double` | `getMaxWeight()`
`double` | `getMinWeight()`
`void` | `setWeightRange(double minWeight, double maxWeight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGeneratorRandomIntFunction

    public mxGeneratorRandomIntFunction(double minWeight,
                                        double maxWeight)

Method Detail

### getCost

    public double getCost(mxCellState state)

  Description copied from interface: `mxICostFunction`
  Evaluates the cost of the given cell state.

  Parameters:
    `state` - The cell state to be evaluated
  Returns:
    Returns the cost to traverse the given cell state.

### getMaxWeight

    public double getMaxWeight()

### setWeightRange

    public void setWeightRange(double minWeight,
                               double maxWeight)

### getMinWeight

    public double getMinWeight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.